> ## Documentation Index
> Fetch the complete documentation index at: https://documentation.mysoleas.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Introspecter un token



## OpenAPI

````yaml POST /oauth/v2/introspect
openapi: 3.1.0
info:
  title: Mysoleas API
  version: 3.0.0
  description: >-
    Nouvelle architecture Mysoleas: gateway de paiement et authentification
    OAuth 2.0.
servers:
  - url: https://api.mysoleas.com
    description: Gateway Mysoleas
  - url: https://account.mysoleas.com
    description: Authentification Mysoleas
security:
  - bearerAuth: []
tags:
  - name: Auth
  - name: Plugin
  - name: Payment links
  - name: Subscriptions
  - name: Collections
  - name: Disbursements
  - name: Catalog
paths:
  /oauth/v2/introspect:
    post:
      tags:
        - Auth
      summary: Introspecter un token
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OAuthIntrospectRequest'
      responses:
        '200':
          description: Resultat d'introspection
          content:
            application/json:
              example:
                active: true
                scope: payments services
                client_id: client_123
                sub: user_123
                exp: 1785230000
                token_type: Bearer
      security: []
      servers:
        - url: https://account.mysoleas.com
components:
  schemas:
    OAuthIntrospectRequest:
      type: object
      required:
        - token
      properties:
        token:
          type: string
        token_type_hint:
          type: string
          enum:
            - access_token
            - refresh_token
        client_id:
          type: string
        client_secret:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````